Page MenuHomePhabricator

Make ActorSignatureGenerator class a non-singleton
Closed, ResolvedPublic

Description

Underlying object is not thread safe, leading to data-corruption when used in a multi-threading environment.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2020, 11:15 AM
JAllemandou set Final Story Points to 1.
JAllemandou moved this task from Next Up to In Code Review on the Analytics-Kanban board.

Change 606162 had a related patch set uploaded (by Joal; owner: Joal):
[analytics/refinery/source@master] Make ActorSignatureGenerator non-singleton

https://gerrit.wikimedia.org/r/606162

fdans moved this task from Incoming to Datasets on the Analytics board.Jun 18 2020, 4:02 PM

Change 606162 merged by jenkins-bot:
[analytics/refinery/source@master] Make ActorSignatureGenerator non-singleton

https://gerrit.wikimedia.org/r/606162

Nuria closed this task as Resolved.Jul 6 2020, 5:49 PM